Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop
Interface ResourceEventProducer

All Superinterfaces:
  EventProducer

public interface ResourceEventProducer
extends EventProducer

Event producer interface for resource events (missing images, fonts etc.).

Nested Class Summary
`static class` | `ResourceEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `cannotDeleteTempFile(java.lang.Object source, java.io.File tempFile)` Cannot delete a temporary file.
`void` | `catalogResolverNotCreated(java.lang.Object source, java.lang.String message)` Catalog Resolver not created, due to InstantiationException or IllegalAccessException
`void` | `catalogResolverNotFound(java.lang.Object source)` Catalog Resolver not found along the class path
`void` | `foreignXMLNoHandler(java.lang.Object source, org.w3c.dom.Document doc, java.lang.String namespaceURI)` No handler for foreign XML content.
`void` | `foreignXMLProcessingError(java.lang.Object source, org.w3c.dom.Document doc, java.lang.String namespaceURI, java.lang.Exception e)` Error processing foreign XML content.
`void` | `ifoNoIntrinsicSize(java.lang.Object source, org.xml.sax.Locator loc)` Intrinsic size of fo:instream-foreign-object could not be determined.
`void` | `imageError(java.lang.Object source, java.lang.String uri, org.apache.xmlgraphics.image.loader.ImageException e, org.xml.sax.Locator loc)` Error while processing image.
`void` | `imageIOError(java.lang.Object source, java.lang.String uri, java.io.IOException ioe, org.xml.sax.Locator loc)` I/O error while loading an image.
`void` | `imageNotFound(java.lang.Object source, java.lang.String uri, java.io.FileNotFoundException fnfe, org.xml.sax.Locator loc)` Image not found.
`void` | `imageWritingError(java.lang.Object source, java.lang.Exception e)` Error while writing/serializing an image to an output format.
`void` | `uriError(java.lang.Object source, java.lang.String uri, java.lang.Exception e, org.xml.sax.Locator loc)` Error while handling a URI.

Method Detail

### imageNotFound

    public void imageNotFound(java.lang.Object source,
                              java.lang.String uri,
                              java.io.FileNotFoundException fnfe,
                              org.xml.sax.Locator loc)

  Image not found.

  Parameters:
    `source` - the event source
    `uri` - the original URI of the image
    `fnfe` - the "file not found" exception
    `loc` - the location of the error or null
  Event severity level:
    ERROR

### imageError

    public void imageError(java.lang.Object source,
                           java.lang.String uri,
                           org.apache.xmlgraphics.image.loader.ImageException e,
                           org.xml.sax.Locator loc)

  Error while processing image.

  Parameters:
    `source` - the event source
    `uri` - the original URI of the image
    `e` - the image exception
    `loc` - the location of the error or null
  Event severity level:
    ERROR

### imageIOError

    public void imageIOError(java.lang.Object source,
                             java.lang.String uri,
                             java.io.IOException ioe,
                             org.xml.sax.Locator loc)

  I/O error while loading an image.

  Parameters:
    `source` - the event source
    `uri` - the original URI of the image
    `ioe` - the I/O exception
    `loc` - the location of the error or null
  Event severity level:
    ERROR

### imageWritingError

    public void imageWritingError(java.lang.Object source,
                                  java.lang.Exception e)

  Error while writing/serializing an image to an output format.

  Parameters:
    `source` - the event source
    `e` - the original exception
  Event severity level:
    ERROR

### uriError

    public void uriError(java.lang.Object source,
                         java.lang.String uri,
                         java.lang.Exception e,
                         org.xml.sax.Locator loc)

  Error while handling a URI.

  Parameters:
    `source` - the event source
    `uri` - the original URI of the image
    `e` - the original exception
    `loc` - the location of the error or null
  Event severity level:
    ERROR

### ifoNoIntrinsicSize

    public void ifoNoIntrinsicSize(java.lang.Object source,
                                   org.xml.sax.Locator loc)

  Intrinsic size of fo:instream-foreign-object could not be determined.

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    ERROR

### foreignXMLProcessingError

    public void foreignXMLProcessingError(java.lang.Object source,
                                          org.w3c.dom.Document doc,
                                          java.lang.String namespaceURI,
                                          java.lang.Exception e)

  Error processing foreign XML content.

  Parameters:
    `source` - the event source
    `doc` - the foreign XML
    `namespaceURI` - the namespace URI of the foreign XML
    `e` - the original exception
  Event severity level:
    ERROR

### foreignXMLNoHandler

    public void foreignXMLNoHandler(java.lang.Object source,
                                    org.w3c.dom.Document doc,
                                    java.lang.String namespaceURI)

  No handler for foreign XML content.

  Parameters:
    `source` - the event source
    `doc` - the foreign XML
    `namespaceURI` - the namespace URI of the foreign XML
  Event severity level:
    ERROR

### cannotDeleteTempFile

    public void cannotDeleteTempFile(java.lang.Object source,
                                     java.io.File tempFile)

  Cannot delete a temporary file.

  Parameters:
    `source` - the event source
    `tempFile` - the temporary file
  Event severity level:
    ERROR

### catalogResolverNotFound

    public void catalogResolverNotFound(java.lang.Object source)

  Catalog Resolver not found along the class path

  Parameters:
    `source` - the event source
  Event severity level:
    ERROR

### catalogResolverNotCreated

    public void catalogResolverNotCreated(java.lang.Object source,
                                          java.lang.String message)

  Catalog Resolver not created, due to InstantiationException or IllegalAccessException

  Parameters:
    `source` - the event source
    `message` - the exception message
  Event severity level:
    ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.